Subject: Re: [Bitcoin-development] DNS seeds unstable

From: Luke Dashjr <[email-masked]>
Date: Fri, 16 May 2014 21:46:00 +0000

On Friday, May 16, 2014 5:17:17 PM Rob Golding wrote:
> > > dnsseed.bitcoin.dashjr.org		SERVFAIL, tried multiple ISPs
> 
> dnsseed.bitcoin.dashjr.org. 60  IN      NS      jun.dashjr.org.
> but jun.dashjr.org isn't responding to dns queries (as at 18.10 GMT
> 2014-05-16)
> 
> that would be a fundamental problem with the dns infrastructure for that
> domain (and the sub-hosts/records) , with the authoritive server not
> replying to the dns query

jun.dashjr.org has resolved 130 requests in the past ~12 hours, and I can see 
it resolving more in tcpdump. I do observe two potential problems, however:

- For the past 24-48 hours, there seem to be some significant routing problems 
on the IPv4 internet, resulting in people using various diverse ISPs 
(including myself at home) being unable to route to any of my servers. This 
issue doesn't affect IPv6, however.

- The DNS seeder seems to only be responding to requests received over IPv4. 
This means IPv6 DNS servers get no response. :(

Luke